Imports EgtWPFLib5

Public Class BottomPanelVM
   Inherits VMBase

   Friend Enum PartFeatureTab As Integer
      NULL = -1
      STRUCTURE_ = 0
      PART = 1
      FEATURE = 2
      STATISTICS = 3
   End Enum

   Private m_SelPartFeatureTab As PartFeatureTab
   Public Property SelPartFeatureTab As Integer
      Get
         Return m_SelPartFeatureTab
      End Get
      Set(value As Integer)
         m_SelPartFeatureTab = value
      End Set
   End Property
   Friend Sub SetSelPartFeatureTab(SelPartFeatureTab As PartFeatureTab)
      If m_SelPartFeatureTab = PartFeatureTab.STATISTICS Then
         Map.refInstrumentPanelVM.SetStatisticsIsChecked(False)
      End If
      m_SelPartFeatureTab = SelPartFeatureTab
      NotifyPropertyChanged(NameOf(SelPartFeatureTab))
   End Sub

   Private m_sCurrDraw As String
   Public ReadOnly Property sCurrDraw As String
      Get
         Return m_sCurrDraw
      End Get
   End Property
   Friend Sub SetCurrDraw(sCurrDraw As String)
      m_sCurrDraw = sCurrDraw
      NotifyPropertyChanged(NameOf(sCurrDraw))
   End Sub

#Region "CONSTRUCTOR"

   Sub New()
      ' Creo riferimento a questa classe in EgtCAM5Map
      Map.SetRefBottomPanelVM(Me)
   End Sub

#End Region    ' CONSTRUCTOR

End Class
